Class | Chef::Resource::Log
In: | lib/chef/resource/log.rb
Parent: | Chef::Resource

Sends a string from a recipe to a log provider

log "some string to log" do

      level :info  # (default)  also supports :warn, :debug, and :error

end

### Example

log "your string to log"

or

log "a debug string" { level :debug }

### Methods

level new

### Public Class methods

new(name, run_context=nil)

Initialize log resource with a name as the string to log

### Parameters

name<String>: | Message to log
collection<Array>: | Collection of included recipes
node<Chef::Node>: | Node where resource will be used

### Public Instance methods

level(arg=nil)

<Symbol> Log level, one of :debug, :info, :warn, :error or :fatal

[Validate]